<%@page import="org.activiti.engine.repository.ProcessDefinition" %>
<%@page import="org.activiti.engine.impl.persistence.entity.*" %>
<%@page import="org.activiti.engine.repository.Deployment" %>
<%@page import="com.blueland.bpm.engine.config.model.*" %>
<%@page import="com.blueland.bpm.common.page.*" %>
<%@page import="com.blueland.bpm.common.util.*"%>
<%@page import="java.util.*" %>
<%@ page contentType="text/html;charset=UTF-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib tagdir="/WEB-INF/tags/simpletable" prefix="simpletable"%>
<%@ include file="/commons/taglibs.jsp" %>
<%
String path = request.getContextPath();
String basePath = request.getScheme()+"://"+request.getServerName()+":"+request.getServerPort()+path+"/";
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<%@ include file="/commons/meta.jsp" %>
<base href="<%=basePath%>">
<title>租户统计</title>
<script type="text/javascript" src="${ctx }/resource/js/jquery-1.8.3.min.js"></script>
	<script src="${ctx}/resource/js/plugins/highcharts/highcharts.js"></script>
     <script src="${ctx}/resource/js/plugins/highcharts/modules/exporting.js"></script>
     <script src="${ctx}/resource/js/common/processReport.js"></script>
     <script type="text/javascript">
     $(document).ready(function() {
    		//加载待迁移的流程待办
    		readytaskTransferList();
    		//加载近一周的流程异常
    		readyerrorList();
    		//加载待迁移的流程资源
    		//readyerrorResource();
    		//加载近一天的流程运行
    		readyinfoList();
    		
    		//加载流程实例
    		$.ajax({
    			url:"${ctx}/processReport/appprocessModelCountIndex.do",
    			type:"GET",
    			dataType:"json",
    			beforeSend:function(){
    				$("#processModel").hide();
    				 $("#processModelLoading").append("<div id='processModelCountIndex' align='center' class='bigpic'></div>");
    			},
    			success:function(data){
    				//console.log(data);
    				$("#processModel").show();
    				$("#processModel").text(data.count);
    				//binderrorResource(data.page.result);
    			},
    			  complete:function(xhr){
    				  /*数据加载完成后，将蒙版移除*/
    		            $("#processModelCountIndex").fadeOut();
    			  }
    		});
    		//加载流程定义
    		$.ajax({
    			url:"${ctx}/processReport/appprocessDefCountIndex.do",
    			type:"GET",
    			dataType:"json",
    			beforeSend:function(){
    				$("#processDef").hide();
    				 $("#processDefLoading").append("<div id='processDefCountIndex' align='center' class='bigpic'></div>");
    			},
    			success:function(data){
    				//console.log(data);
    				$("#processDef").show();
    				$("#processDef").text(data.count);
    				//binderrorResource(data.page.result);
    			},
    			  complete:function(xhr){
    				  /*数据加载完成后，将蒙版移除*/
    		            $("#processDefCountIndex").fadeOut();
    			  }
    		});
    		//加载流程历史
    		$.ajax({
    			url:"${ctx}/processReport/apphistoryCountIndex.do",
    			type:"GET",
    			dataType:"json",
    			beforeSend:function(){
    				$("#processHistory").hide();
    				 $("#processHistoryLoading").append("<div id='historyCountIndex' align='center' class='bigpic'></div>");
    			},
    			success:function(data){
    				//console.log(data);
    				$("#processHistory").show();
    				$("#processHistory").text(data.count);
    			},
    			  complete:function(xhr){
    				  /*数据加载完成后，将蒙版移除*/
    		            $("#historyCountIndex").fadeOut();
    			  }
    		});
    		//加载流程任务待办
    		$.ajax({
    			url:"${ctx}/processReport/apptaskCountIndex.do",
    			type:"GET",
    			dataType:"json",
    			beforeSend:function(){
    				$("#processTask").hide();
    				 $("#processTaskLoading").append("<div id='taskCountIndex' align='center' class='bigpic'></div>");
    			},
    			success:function(data){
    				//console.log(data);
    				$("#processTask").show();
    				$("#processTask").text(data.count);
    				//binderrorResource(data.page.result);
    			},
    			  complete:function(xhr){
    				  /*数据加载完成后，将蒙版移除*/
    		            $("#taskCountIndex").fadeOut();
    			  }
    		});
     
     });
     
     function readytaskTransferList(){
    		$.ajax({
    			url:"${ctx}/processReport/apptaskTransferIndex.do?dataType=1",
    			type:"GET",
    			dataType:"json",
    			beforeSend:function(){
    				$("#processTransfer").hide();
    				 $("#TransferLoading").append("<div id='taskTransferIndex' align='center' class='bigpic'></div>");
    			},
    			success:function(data){
    				$("#processTransfer").show();
    				$("#processTransfer").text(data.count);
    				
    			}
    			,
    			  complete:function(xhr){
    				  /*数据加载完成后，将蒙版移除*/
    		            $("#taskTransferIndex").fadeOut();
    			  },
    			  error:function(){
    				  
    			  }
    			
    		})
    	}

    		
    		
    	function  readyerrorList(){
    		$.ajax({
    			url:"${ctx}/processReport/apperrorListIndex.do",
    			type:"GET",
    			dataType:"json",
    			beforeSend:function(){
    				$("#processError").hide();
    				 $("#processErrorLoading").append("<div id='errorListIndex' align='center' class='bigpic'></div>");
    			},
    			success:function(data){
    				//console.log(data);
    				$("#processError").show();
    				$("#processError").text(data.count);
    				// binderrorList(data.page.result);
    			},
    			  complete:function(xhr){
    				  /*数据加载完成后，将蒙版移除*/
    		            $("#errorListIndex").fadeOut();
    			  }
    		})
    	}

    	function readyinfoList(){
    		
    		$.ajax({
    			url:"${ctx}/processReport/appinfoListIndex.do",
    			type:"GET",
    			dataType:"json",
    			beforeSend:function(){
    				$("#processRun").hide();
    				 $("#processRunLoading").append("<div id='infoListIndex' align='center' class='bigpic'></div>");
    			},
    			success:function(data){
    				//console.log(data.count);
    				$("#processRun").show();
    				$("#processRun").text(data.count);
    			},
    			  complete:function(xhr){
    				  /*数据加载完成后，将蒙版移除*/
    		            $("#infoListIndex").fadeOut();
    			  }
    		})
    	}
    		

    		function readyerrorResource(){
    			$.ajax({
    				url:"${ctx}/processReport/apperrorResourceIndex.do",
    				type:"GET",
    				dataType:"json",
    				beforeSend:function(){
    					$("#processRes").hide();
    					 $("#processResLoading").append("<div id='errorResourceIndex' align='center' class='bigpic'></div>");
    				},
    				success:function(data){
    					//console.log("Resource:"+data);
    					$("#processRes").show();
    					$("#processRes").text(data.count);
    					//binderrorResource(data.page.result);
    				},
    				  complete:function(xhr){
    					  /*数据加载完成后，将蒙版移除*/
    			            $("#errorResourceIndex").fadeOut();
    				  },
    				  error:function(){
    						$("#processRes").show();  
    				  }
    			})
    		}
     
     </script>
     <style type="text/css">
     /*等待进度大css*/
   .bigpic{
    width: 16px;
    height: 16px;
    background-image: url("${ctx}/resource/css/icons/loading.gif");
    position: absolute;
    top: 0px;
    bottom: 0px;
    right: 0px;
    left: 0px;
    margin: auto;
    
}
     </style>
     
</head>

<body>

<div class="row" style="margin: 10px;">
 	<div class="col-xs-3" style="padding-left:  0;padding-right: 6px;">
 
        <div class="widget-box">
           <div class="widget-header">
             <h5>
                                  流程定义
             </h5>
                        
           </div>
           <div class="widget-body" id="processDefLoading" style="height: 170px;">
           <a id="processDef" href="${ctx }/procDefMgr/list.do" style="display: flex;justify-content: center;align-items: center;font-size: 50px;color: #438eb9;line-height: 170px;">0</a>
           
           </div>
         </div>
 	 
 	</div>
 	
 	<div  class="col-xs-3" style="padding-left:  6px;padding-right: 6px;">
 	
 	 <div class="widget-box">
           <div class="widget-header">
             <h5>
                                  流程实例
             </h5>
                        
           </div>
           <div class="widget-body" id="processModelLoading" style="height: 170px;">
           <a id="processModel" href="${ctx }/procInstMgr/list.do" style="display: flex;justify-content: center;align-items: center;font-size: 50px;color: #438eb9;line-height: 170px;">0</a>
           
           </div>
         </div>
 	
 	</div>
 	
 	
 	<div  class="col-xs-3" style="padding-left:  6px;padding-right: 6px;">
 	    <div class="widget-box">
           <div class="widget-header">
             <h5>
                                  流程任务
             </h5>
                        
           </div>
           <div class="widget-body" id="processTaskLoading" style="height: 170px;">
           <a id="processTask" href="${ctx }/taskMgr/list.do" style="display: flex;justify-content: center;align-items: center;font-size: 50px;color: #438eb9;line-height: 170px;">0</a>
           
           </div>
         </div>
 	
 	</div>
 	
 	
 	<div  class="col-xs-3" style="padding-left:  6px;padding-right: 0;">
 	
 	 <div class="widget-box">
           <div class="widget-header">
             <h5>
                                  流程历史
             </h5>
                        
           </div>
           <div class="widget-body" id="processHistoryLoading" style="height: 170px;"> 
           <a id="processHistory" href="${ctx }/procInstMgr/historyList.do" style="display: flex;justify-content: center;align-items: center;font-size: 50px;color: #438eb9;line-height: 170px;">0</a>
           
           </div>
         </div>
 	
 	</div>
</div> 	
 	<div class="row" style="margin: 10px;">
 	
 	<div class="col-xs-4" style="padding-left:  0;padding-right: 6px;">
 	   
 	     <div class="widget-box">
           <div class="widget-header">
             <h5>
                                  近一天的流程运行
             </h5>
                        
           </div>
           <div class="widget-body" id="processRunLoading"  style="height: 170px;">
           <a id="processRun" href="${ctx }/processErrorLog/infoList.do" style="display: flex;justify-content: center;align-items: center;font-size: 50px;color: green;line-height: 170px;">0</a>
           
           </div>
         </div>
 	
 	
 	</div>
 	
 	<div class="col-xs-4" style="padding-left:  6px;padding-right: 6px;">
 	     
           <div class="widget-box">
           <div class="widget-header">
             <h5>
                                  近一周的流程异常
             </h5>
                        
           </div>
           <div class="widget-body" id="processErrorLoading" style="height: 170px;">
           <a id="processError" href="${ctx }/processErrorLog/errorList.do" style="display: flex;justify-content: center;align-items: center;font-size: 50px;color: red;line-height: 170px;">0</a>
           
           </div>
         </div>

   </div>
   
   <div class="col-xs-4"  style="padding-left:  6px;padding-right: 0;">
 	       
               <div class="widget-box">
           <div class="widget-header">
             <h5>
                                  待迁移的流程待办
             </h5>
                        
           </div>
           <div class="widget-body" id="TransferLoading" style="height: 170px;">
           <a id="processTransfer" href="${ctx }/taskMgr/taskTransferList.do?dataType=1" style="display: flex;justify-content: center;align-items: center;font-size: 50px;color: orange;line-height: 170px;">0</a>
           
           </div>
         </div>
         


   </div>
   
</div>



</body>
</html>